Skip to Content
APIsExchange Data

Exchange Data

Get exchange data returns real-time or historical decentralized exchange information.

Get Exchange Data

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}

Returns an array of real-time or historical decentralized exchange data.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain for decentralized exchange

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
blockintThe blockchain block number for historical data.
success-response.json
[ { "id": "0x1F98431c8aD98523631AE4a59f267346ea31F984", "poolCount": "10950", "txCount": "29888206", "totalVolumeUSD": "916847401937.370607825600628166657", "untrackedVolumeUSD": "418167060018759.7426039553582786604", "totalVolumeETH": "423116538.4473012264357507657269329", "totalValueLockedUSD": "1523577228461.761271658156460855197", "totalValueLockedETH": "843327060.2839120939378000489695211", "totalFeesUSD": "1369740249.46500696391926330064492", "totalFeesETH": "575159.1527922034001220649655581179", "owner": "0x0000000000000000000000000000000000000000" } ]

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum 

response-example.json
[ { "id": "0x1F98431c8aD98523631AE4a59f267346ea31F984", "poolCount": "10950", "txCount": "29888206", "totalVolumeUSD": "916847401937.370607825600628166657", "untrackedVolumeUSD": "418167060018759.7426039553582786604", "totalVolumeETH": "423116538.4473012264357507657269329", "totalValueLockedUSD": "1523577228461.761271658156460855197", "totalValueLockedETH": "843327060.2839120939378000489695211", "totalFeesUSD": "1369740249.46500696391926330064492", "totalFeesETH": "575159.1527922034001220649655581179", "owner": "0x0000000000000000000000000000000000000000" } ]
exchange-response.json
[ { "id": "0x1F98431c8aD98523631AE4a59f267346ea31F984", "poolCount": "10950", "txCount": "29888206", "totalVolumeUSD": "916847401937.370607825600628166657", "untrackedVolumeUSD": "418167060018759.7426039553582786604", "totalVolumeETH": "423116538.4473012264357507657269329", "totalValueLockedUSD": "1523577228461.761271658156460855197", "totalValueLockedETH": "843327060.2839120939378000489695211", "totalFeesUSD": "1369740249.46500696391926330064492", "totalFeesETH": "575159.1527922034001220649655581179", "owner": "0x0000000000000000000000000000000000000000" } ]

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum 

final-response.json
[ { "id": "0x1F98431c8aD98523631AE4a59f267346ea31F984", "poolCount": "10950", "txCount": "29888206", "totalVolumeUSD": "916847401937.370607825600628166657", "untrackedVolumeUSD": "418167060018759.7426039553582786604", "totalVolumeETH": "423116538.4473012264357507657269329", "totalValueLockedUSD": "1523577228461.761271658156460855197", "totalValueLockedETH": "843327060.2839120939378000489695211", "totalFeesUSD": "1369740249.46500696391926330064492", "totalFeesETH": "575159.1527922034001220649655581179", "owner": "0x0000000000000000000000000000000000000000" } ]

Response Attributes

Attribute NameData TypeDescription
idstringExchange contact address
poolCountstringAmount of pools created
txCountstringAmount of transactions all-time
totalVolumeUSDstringTotal volume all-time in derived USD
untrackedVolumeUSDstringAll volume even through less reliable USD values
totalVolumeETHstringTotal volume all-time in derived ETH
totalValueLockedUSDstringTVL derived in USD
totalValueLockedETHstringTVL derived in ETH
totalFeesUSDstringTotal swap fees all-time in USD
totalFeesETHstringTotal swap fees all-time in ETH
ownerstringCurrent owner of the contract address.

© Adesic LLC. All Rights Reserved